package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.GetBoxCodeReq;
import com.abi.qms.platform.dto.res.GetBoxCodeRes;

/**
 * 箱码垛码查询 Service接口
 *
 * @author WeiganCai
 * @date 2021-08-02
 */
public interface FlowQueryService {
    /**
     * 流向查询
     */
    GetBoxCodeRes boxCode(GetBoxCodeReq getBoxCodeReq);


    /**
     * 箱码查询
     * @param boxCode 箱码
     * @return
     */
    GetBoxCodeRes getFlowInfoByBoxCode(String boxCode);
}
